textproc/inlyne - The NetBSD Packages Collection

GPU powered, browserless, markdown and html viewer

Markdown files are a wonderful tool to get formatted, visually appealing,
information to people in a minimal way. Except 9 times out of 10 you need
an entire web browser to quickly open a file.

Introducing Inlyne, a GPU powered yet browserless tool to help you quickly
view markdown files in the blink of an eye.

Use inlyne --help to see all the command line options. Some of which can be
set permentantly by placing an inlyne.toml file into the default dirs
configuration folder for your respective OS. Checkout inlyne.toml.sample
for an example configuration.

Build dependencies

pkgtools/x11-links lang/rust devel/cmake pkgtools/mktools devel/pkgconf pkgtools/cwrappers

Runtime dependencies

graphics/freetype2 graphics/freetype2 fonts/fontconfig fonts/fontconfig sysutils/dbus graphics/freetype2 fonts/fontconfig

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64inlyne-0.4.1.tgz
NetBSD 10.0aarch64inlyne-0.3.3.tgz
NetBSD 10.0earmv7hfinlyne-0.4.1.tgz
NetBSD 10.0earmv7hfinlyne-0.3.3.tgz
NetBSD 10.0i386inlyne-0.4.1.tgz
NetBSD 10.0i386inlyne-0.3.3.tgz
NetBSD 10.0powerpcinlyne-0.3.1.tgz
NetBSD 10.0x86_64inlyne-0.4.1.tgz
NetBSD 10.0x86_64inlyne-0.3.3.tgz
NetBSD 9.0aarch64inlyne-0.3.3.tgz
NetBSD 9.0earmv7hfinlyne-0.4.1.tgz
NetBSD 9.0earmv7hfinlyne-0.3.3.tgz
NetBSD 9.0i386inlyne-0.4.1.tgz
NetBSD 9.0i386inlyne-0.3.3.tgz
NetBSD 9.0powerpcinlyne-0.3.3.tgz
NetBSD 9.0powerpcinlyne-0.3.1.tgz
NetBSD 9.0x86_64inlyne-0.4.1.tgz
NetBSD 9.0x86_64inlyne-0.3.3.tgz
NetBSD 9.3x86_64inlyne-0.4.1.tgz
NetBSD 9.3x86_64inlyne-0.4.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.